<?php

// include_once ("../include/mcglobal.inc.php");
// include_once ("../include/inc_parseXML.inc.php");


$wsdl = "webservice1.wsdl";
// $wsdl = "z_rst_test_tourenplanung_bnd.wsdl";


function getServerTime() {
  return time();
}

ini_set("soap.wsdl_cache_enabled", "0");
$server = new SoapServer($wsdl);
$server->addFunction("getServerTime");
$server->handle();


/*
if ($_SERVER["REQUEST_METHOD"] == "POST") {
  $server->handle();
} else {
  echo "This SOAP server can handle following functions: ";
  $functions = $server->getFunctions();
  foreach($functions as $func) {
    echo $func . "\n";
  }
}
*/


?>